// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

class CfgPatches
{

    class FILOM14
    {
          units[] = {FILOM14Sniper};
          weapons[] = {FILOM14};
          requiredVersion = 1.01;
    };

};

class CfgWeapons
{

class default{};
class MGun: default {};
class Riffle: MGun {};
class SniperRiffle: Riffle{};
class M21: SniperRiffle{};
class FILOM14: M21
{
	modelOptics="\FILOM14\optika_kozlice.p3d";
    picture="\FILOM14\w_m14.paa";
    model="\FILOM14\m14_proxy.p3d";

	scopeWeapon=2;
	scopeMagazine=2; 
  		
	displayName="M14";

	optics = 1;
	opticsZoomMin=0.350000;
   	opticsZoomMax=0.350000;
   	distanceZoomMin=400;
   	distanceZoomMax=400;	
    initspeed=950;
    maxLeadSPeed=1;
	magazines[]={"FILOM14"};
	count=20;
	modes[]= {"Single","Full"};
	class Single
	{
		ammo="BulletSniper";
		multiplier=1;
		burst=1;
		displayName="M14 Single";
		soundContinuous= 0;
		sound[]={Weapons\m21,db0,1};
		ffCount=1;
	    dispersion=0.000001;
    	reloadTime=0.1;
		autofire=0;
		aiRateOfFire=5.0000;
		aiRateOfFireDistance = 800;
		UseAction=0;
		useActionTitle="";
		recoil=sniperSingle;
	};
	class Full
	{
		ammo="BulletSniper";
		multiplier=1;
		burst=1;
		displayName="M14 Full";
		soundContinuous= 0;
		sound[]={Weapons\m21,db0,1};
		ffCount=1;
	    dispersion=0.0004;
    	reloadTime=0.1;
		autofire=1;
		aiRateOfFire=5.0000;
		aiRateOfFireDistance = 200;
		UseAction=0;
		useActionTitle="";
		recoil=riffleBurst3;
	};
};

};

class CfgVehicles
{
    class All{};
    class AllVehicles:All{};
    class Land:AllVehicles{};
    class Man:Land{};
    class Soldier:Man{};
    class SoldierWB:Soldier{};
    class SoldierWSniper:SoldierWB{};
    class FILOM14Sniper:SoldierWSniper
{      
    side=TWest;
    displayName="FILO Sniper M14";
    weapons[]={FILOM14,Binocular,Throw,Put};
    magazines[]={FILOM14,FILOM14,FILOM14,FILOM14,FILOM14};
	camouflage=0.600000;
    accuracy=5.500000;
  }; 
};
